clear
load DetectBB_C0003.mat     %% the Detected Bounding Box data;
dataPath='data_new\';

wholename={'zbl','cy1','jjx','lc1','lx1','ss1','wq1','cjs','mrf','zsh','cyf'}; %% the subject No.
nLabeler=length(wholename);

sH=240;sW=320;

figure,  


    
for curLabeler=1:nLabeler
     
     labelerName=wholename{curLabeler};
     disp(['current Subject No. is ' labelerName])
     dataLabelAll=dir([dataPath '*' labelerName '.mat']);
     nLabel=length(dataLabelAll);
    
    curLabel=dataLabelAll(1).name;
   
    lx = load([dataPath curLabel]);
    labelgroup = lx.ls;
    nLabeled=length(labelgroup.file_package);
    labeledIndex=0;
    nFrame=0;
    for n=3:nLabeled-3
         nFrame=nFrame+1;
         frame = labelgroup.get_frame(n);
         
         if length(frame.boxes)>1
             
           curDetectBB=drBatch{nFrame};
           gtImg=drawboxes(frame.image,frame.boxes,255,255,0);
           subplot(1,2,1),imshow(gtImg),drawnow
           
            drImg=drawboxes(gtImg,curDetectBB.boxes,255,0,0);
            subplot(1,2,2),imshow(drImg),drawnow

         end
         
     end
     
end



 