function boximage = drawboxes(image, boxes,r,g,b)

    boximage = image;
    for ii = 2 : length(boxes)
        cur_box = boxes(ii);
        boximage(cur_box.y, cur_box.x : cur_box.x + cur_box.w, 1) = r;
        boximage(cur_box.y, cur_box.x : cur_box.x + cur_box.w, 2) = g;
        boximage(cur_box.y, cur_box.x : cur_box.x + cur_box.w, 3) = b;
        boximage(cur_box.y+cur_box.h, cur_box.x : cur_box.x + cur_box.w, 1) = r;
        boximage(cur_box.y+cur_box.h, cur_box.x : cur_box.x + cur_box.w, 2) = g;
        boximage(cur_box.y+cur_box.h, cur_box.x : cur_box.x + cur_box.w, 3) = b;
        boximage(cur_box.y : cur_box.y + cur_box.h, cur_box.x, 1) = r;
        boximage(cur_box.y : cur_box.y + cur_box.h, cur_box.x, 2) = g;
        boximage(cur_box.y : cur_box.y + cur_box.h, cur_box.x, 3) = b;
        boximage(cur_box.y : cur_box.y + cur_box.h, cur_box.x+cur_box.w, 1) = r;
        boximage(cur_box.y : cur_box.y + cur_box.h, cur_box.x+cur_box.w, 2) = g;
        boximage(cur_box.y : cur_box.y + cur_box.h, cur_box.x+cur_box.w, 3) = b;
    end
end